# Contributing

You want to contribute something to this project to make it more awesome? This document shows you how!

## Dependencies

Make sure you have the following dependencies installed on your machine:

- Node.js
- npm
- git

These npm packages are also needed:

- gulp
    - `$ npm install -g gulp`

## Development

Please respect the coding style and make sure to pass all provided tests before submitting a pull request. Also add relevant tests when necessary (i.e. adding new properties).

- Clone this repository

```console
$ git clone https://github.com/timche/postcss-german-stylesheets.git
```

- Work on a branch

```console
$ git checkout -b feature-1
```

- Install all dependencies

```console
$ npm install
```

- Let gulp test your code while you do changes

```console
$ gulp watch
```

- Do your work

- When all tests pass, you are ready to submit a pull request with your changes
